<!-- 	Cray Research, A Silicon Graphics Company 
	Software Publications
	OSF DTD stylesheet
	August 1996
	Tom Cox
-->


<sheet >



<?INSTED COMMENT: GROUP admonition>

<group name="admonition">
	<space-before>	12	</>
	<break-before>	line	</>
	<text-before><p><blockquote>if(eq(left(contents(),4),note),<b>Note: <join(/)b>,)</>
	<text-after><join(/)blockquote><join(/)p></>
</group>

<!-- 	"Caution," "Note" and "Warning" are sometimes but not always hardcoded
	in the document, so these styles check and add the text only when 
	needed.
-->
<style name="CAUTION" group="admonition">
	<text-before><p><blockquote><img src="/icons/caution.gif" alt="[caution]" align=left>if(eq(left(contents(),7),caution),<b>Caution: <join(/)b>,)</>
</style>

<style name="NOTE" group="admonition">
	<select>	switch(attr(type),caution,caution,warning,warning,default,note.plain)	</>
</style>

<!-- This is the same as NOTE in the DocBook stylesheet. -->
<style name="NOTE.PLAIN" group="admonition">
</style>

<style name="WARNING" group="admonition">
	<text-before><p><blockquote><b>Warning: <join(/)b></>
</style>



<?INSTED COMMENT: GROUP h1>

<!-- Comment per toc.osf.v -->
<group name="h1">
	<font-family>	lucida	</>
	<font-weight>	Bold	</>
	<font-size>	24	</>
	<foreground>	blue3	</>
	<line-spacing>	24	</>
	<break-before>	Line	</>
	<text-before><h1></>
	<text-after><join(/)h1></>
</group>

<style name="APPENDIX,TITLE" group="h1">
	<text-before><h1>Appendix format(cnum(ancestor(appendix)),LETTER). </>
</style>

<style name="CHAPTER,TITLE" group="h1">
	<space-before>	24	</>
	<text-before><h1>if(eq(attr(type,ancestor(body)),front),if(isfirst(ancestor(chapter)),Front Matter <!-- Suppress title: ,),cnum(ancestor(chapter)). )</>
	<text-after>if(eq(attr(type,ancestor(body)),front),if(isfirst(ancestor(chapter)),\ -->,),)<join(/)h1></>
</style>

<style name="OSF-BOOK,TITLE" group="h1">
</style>



<?INSTED COMMENT: GROUP h2>

<group name="h2">
	<font-family>	lucida	</>
	<font-weight>	Bold	</>
	<font-size>	16	</>
	<foreground>	blue3	</>
	<line-spacing>	16	</>
	<break-before>	Line	</>
	<text-before><h2></>
	<text-after><join(/)h2></>
</group>

<style name="APPENDIX,SECTION,TITLE" group="h2">
	<text-before><h2>format(cnum(ancestor(appendix)),LETTER).cnum(ancestor(section)) </>
</style>

<style name="CHAPTER,SECTION,TITLE" group="h2">
	<space-before>	16	</>
	<text-before>if(eq(attr(type,ancestor(body)),front),<h2>if(eq(content(),''),Notices,),<h2>cnum(ancestor(chapter)).cnum(ancestor(section))\ )</>
</style>



<?INSTED COMMENT: GROUP h3>

<group name="h3">
	<font-family>	lucida	</>
	<font-weight>	Bold	</>
	<foreground>	blue3	</>
	<break-before>	Line	</>
	<text-before><h3></>
	<text-after><join(/)h3></>
</group>

<style name="APPENDIX,SECTION,DIVISION,TITLE" group="h3">
	<text-before><h3>format(cnum(ancestor(appendix)),LETTER).cnum(ancestor(section)).cnum(ancestor(division)) </>
</style>

<style name="CHAPTER,SECTION,DIVISION,TITLE" group="h3">
	<space-before>	16	</>
	<text-before>if(eq(attr(type,ancestor(body)),front),<h3>,<h3>cnum(ancestor(chapter)).cnum(ancestor(section)).cnum(ancestor(division))\ )</>
</style>



<?INSTED COMMENT: GROUP h4>

<group name="h4">
	<font-family>	lucida	</>
	<font-weight>	Bold	</>
	<font-slant>	Italics	</>
	<foreground>	blue3	</>
	<break-before>	Line	</>
	<text-before><h4></>
	<text-after><join(/)h4></>
</group>

<style name="APPENDIX,SECTION,DIVISION,DIVISION,DIVISION,TITLE" group="h4">
	<text-before><h4>format(cnum(ancestor(appendix)),LETTER).cnum(ancestor(section)).cnum(ancestor(me(),division,3)).cnum(ancestor(me(),division,2)).cnum(ancestor(division)) </>
</style>

<style name="APPENDIX,SECTION,DIVISION,DIVISION,TITLE" group="h4">
	<text-before><h4>format(cnum(ancestor(appendix)),LETTER).cnum(ancestor(section)).cnum(ancestor(me(),division,2)).cnum(ancestor(division)) </>
</style>

<style name="CHAPTER,SECTION,DIVISION,DIVISION,DIVISION,TITLE" group="h4">
	<space-before>	14	</>
	<text-before>if(eq(attr(type,ancestor(body)),front),<h4>,<h4>cnum(ancestor(chapter)).cnum(ancestor(section)).cnum(ancestor(me(),division,3)).cnum(ancestor(me(),division,2)).cnum(ancestor(division))\ )</>
</style>

<style name="CHAPTER,SECTION,DIVISION,DIVISION,TITLE" group="h4">
	<space-before>	16	</>
	<text-before>if(eq(attr(type,ancestor(body)),front),<h4>,<h4>cnum(ancestor(chapter)).cnum(ancestor(section)).cnum(ancestor(me(),division,2)).cnum(ancestor(division))\ )</>
</style>



<?INSTED COMMENT: GROUP monodisplay>

<group name="monodisplay">
	<font-family>	fixed	</>
	<foreground>	DarkOrange3	</>
	<justification>	Verbatim	</>
	<break-before>	Line	</>
	<text-before><pre></>
	<text-after><join(/)pre></>
</group>

<style name="DISPLAY,P" group="monodisplay">
</style>



<?INSTED COMMENT: GROUP seriespara>

<group name="seriespara">
	<text-before>if(isfirst(),,<p>)</>
	<text-after>if(isfirst(),,<join(/)p>)</>
</group>

<style name="ENTRY,P" group="seriespara">
	<left-indent>	if(isfirst(ancestor(entry)),,40)	</>
</style>

<style name="FOOTNOTE,P" group="seriespara">
	<text-before>if(isfirst(),Footnote gcnum(ancestor(footnote))<p>,<p>)</>
</style>

<style name="ITEM,P" group="seriespara">
</style>

<style name="NOTE,P" group="seriespara">
</style>



<?INSTED COMMENT: GROUP suppressed>

<group name="suppressed">
	<text-before><!-- [Supressed text] </>
	<text-after> --></>
</group>

<style name="ALT-TITLE" group="suppressed">
</style>

<style name="GLOSSARY,TITLE" group="suppressed">
</style>

<style name="TABLE,CAPTION" group="suppressed">
</style>



<?INSTED COMMENT: GROUP wrapper>

<!-- 	The wrapper group elements' primary purpose is to contain other
	elements, usually with little formatting of their own. Elements
	without comment may also be in this group.
  -->
<group name="wrapper">
	<break-before>	Line	</>
</group>

<style name="APPENDIX" group="wrapper">
</style>

<style name="BODY" group="wrapper">
	<space-before>	24	</>
</style>

<style name="CHAPTER" group="wrapper">
</style>

<style name="COLSPEC" group="wrapper">
</style>

<style name="DISPLAY" group="wrapper">
</style>

<style name="DIVISION" group="wrapper">
</style>

<style name="GLOSSARY" group="wrapper">
	<text-before><h1>content(typechild(title))<join(/)h1><dl></>
	<text-after><join(/)dl></>
</style>

<style name="GLOSSARYENTRY" group="wrapper">
	<text-after><p></>
</style>

<style name="L-ITEM" group="wrapper">
</style>

<style name="OSF-BOOK" group="wrapper">
	<font-family>	new century schoolbook	</>
	<font-size>	14	</>
	<right-indent>	12	</>
	<line-spacing>	16	</>
	<break-before>	Line	</>
</style>

<style name="TBODY" group="wrapper">
</style>

<style name="TGROUP" group="wrapper">
</style>

<style name="THEAD" group="wrapper">
</style>



<?INSTED COMMENT: UNGROUPED STYLES FOLLOW>

<style name="#ANNOT">
	<break-before>	Line	</>
</style>

<style name="#DEFAULT">
	<font-family>	times	</>
	<font-weight>	Medium	</>
	<font-slant>	Roman	</>
	<font-video>	Regular	</>
	<font-size>	14	</>
	<line-spacing>	17	</>
</style>

<style name="#FOOTER">
	<text-before><A HREF="http:/docs/help/help_all.html"><img src="/images/help.gif" alt="Help " align=left><join(/)A><A HREF="http:/"><img src="/images/home.gif" alt="Home" align=left><join(/)A><br><br><br><br></>
	<text-after><P><SMALL>Copyright (c) 1996 <A HREF="http://www.cray.com">Cray Research, Inc.<join(/)A><join(/)SMALL></>
</style>

<style name="#HEADER">
	<text-before><body bgcolor="#ffffff"><img src="/images/craylogo.gif" alt="Cray Logo" align=right><br><br><br><br></>
</style>

<style name="#QUERY">
	<break-before>	Line	</>
</style>

<style name="#ROOT">
	<break-before>	Line	</>
</style>

<style name="#SDATA">
	<font-family>	attr(font)	</>
	<font-weight>	medium	</>
	<font-slant>	roman	</>
	<character-set>	attr(charset)	</>
	<text-before>join('&',attr(name),';')</>
</style>

<style name="#TAGS">
	<font-family>	courier	</>
	<font-weight>	Bold	</>
	<font-size>	14	</>
	<foreground>	purple	</>
	<break-before>	Line	</>
</style>

<style name="DISPLAY,TITLE">
	<!-- DISPLAY,TITLE has the same formatting as DocBook group displayhead. -->
	<break-before>	Line	</>
	<text-before><p align=center></>
	<text-after><join(/)p></>
</style>

<style name="EMPHASIS">
	<font-family>	fixed	</>
	<text-before>switch(attr(qualify),courier,<tt>,courier bold,<tt><b>,courier italic,<tt><i>,bold,<b>,bold hidden,<b>,italic,<i>,default,<em>)</>
	<text-after>switch(attr(qualify),courier,<join(/)tt>,courier bold,<join(/)b><join(/)tt>,courier italic,<join(/)i><join(/)tt>,bold,<join(/)b>,bold hidden,<join(/)b>,italic,<join(/)i>,default,<join(/)em>)</>
</style>

<style name="ENTRY">
	<left-indent>	if(isfirst(),,40)	</>
	<break-before>	Line	</>
	<text-before>if(typechild(colspec,typechild(tgroup,ancestor(table)),3),<td>,if(isfirst(),<dt><p>,<dd><p>))</>
	<text-after>if(typechild(colspec,typechild(tgroup,ancestor(table)),3),<join(/)td>,if(isfirst(),<join(/)p><join(/)dt>,<join(/)p><join(/)dd>))</>
</style>

<style name="FOOTNOTE">
	<foreground>	BlueViolet	</>
	<hide>	Children	</>
	<script>	ebt-reveal stylesheet="fullhtml.v" title="Footnote"	</>
	<text-before>[Footnote gcnum()]</>
</style>

<style name="GLOSSARYDEF">
	<left-indent>	150	</>
	<break-after>	Line	</>
	<text-before><dd><p></>
	<text-after><join(/)p><join(/)dd></>
</style>

<style name="GLOSSARYTERM">
	<width>	150	</>
	<text-before><dt><p></>
	<text-after><join(/)p><join(/)dt></>
	<column>	True	</>
</style>

<style name="GRAPHIC">
	<break-before>	Line	</>
	<inline>	raster filename="attr(ID).gif"	</>
</style>

<style name="ITEM">
	<break-before>	Line	</>
	<text-before><li><p></>
	<text-after><join(/)p><join(/)li></>
</style>

<style name="ITEM,DISPLAY">
	<font-weight>	Medium	</>
	<break-before>	Line	</>
</style>

<style name="L-ITEM,ITEM">
	<text-before><dd><p></>
	<text-after><join(/)p><join(/)dd></>
</style>

<style name="L-ITEM,LABEL">
	<text-before><dt><p></>
	<text-after><join(/)p><join(/)dt></>
</style>

<!-- 	A LIST containing an L-ITEM is a definition list (dl). Otherwise, if
	the type is ordered it's an ol. Otherwise, it's a ul.
-->
<style name="LIST">
	<break-before>	Line	</>
	<break-after>	Line	</>
	<text-before>if(ancestor(me(),list),<p>,)if(typechild(l-item),<dl>,if(eq(attr(type),ordered),if(eq(attr(type,ancestor(list)),ordered),<ol type=a>,<ol type=1>),<ul>))</>
	<text-after>if(typechild(l-item),<join(/)dl>,if(eq(attr(type),ordered),<join(/)ol>,<join(/)ul>))</>
</style>

<style name="P">
	<space-before>	14	</>
	<break-before>	Line	</>
	<text-before><p></>
	<text-after><join(/)p></>
</style>

<style name="ROW">
	<break-before>	Line	</>
	<text-before>if(typechild(colspec,typechild(tgroup,ancestor(table)),3),<tr valign=top>,)</>
	<text-after>if(typechild(colspec,typechild(tgroup,ancestor(table)),3),<join(/)tr valign=top>,)</>
</style>

<style name="SUBSCRIPT">
	<text-before>_\(</>
	<text-after>)</>
</style>

<style name="SUPERSCRIPT">
	<text-before>^\(</>
	<text-after>)</>
</style>

<style name="TABLE">
	<break-before>	Line	</>
	<text-before>if(typechild(colspec,typechild(tgroup),3),<p align=center>content(typechild(caption))<table><hr>,<dl>)</>
	<text-after>if(typechild(colspec,typechild(tgroup),3),<join(/)table><hr>,<join(/)dl>)</>
</style>

<style name="THEAD,ROW,ENTRY">
	<left-indent>	if(isfirst(),,40)	</>
	<break-before>	Line	</>
	<text-before>if(typechild(colspec,typechild(tgroup,ancestor(table)),3),<td>,if(isfirst(),<dt><p>,<dd><p>))</>
	<text-after>if(typechild(colspec,typechild(tgroup,ancestor(table)),3),<hr>,if(isfirst(),<join(/)p><join(/)dt>,<join(/)p><join(/)dd>))</>
</style>

<style name="XREF">
	<foreground>	red1	</>
	<score>	Under	</>
	<script>	ebt-link target=idmatch(id,attr(linkends))	</>
</style>



</sheet>
