<!-- Template for new main (*.v) Stylesheets

  Copyright 1992, Electronic Book Technologies.  All rights reserved.
-->


<sheet >



<?INSTED COMMENT: UNGROUPED STYLES FOLLOW>

<style name="#ANNOT">
	<break-before>	Line	</>
</style>

<style name="#QUERY">
	<break-before>	Line	</>
</style>

<style name="#ROOT">
	<break-before>	Line	</>
</style>

<style name="#SDATA">
        <font-family>   attr(font)      </>
        <font-weight>   medium  </>
        <font-slant>    roman   </>
        <character-set> attr(charset)   </>
        <text-before> char(attr(code))        </>
</style>

<style name="#TAGS">
	<font-weight>	Bold	</>
	<foreground>	purple	</>
	<break-before>	Line	</>
</style>

<style name="#TEXT-AFTER">
	<break-before>	Line	</>
</style>

<style name="BODY">
	<space-before>	64	</>
	<break-before>	Line	</>
</style>

<style name="CAPTION">
	<break-before>	Line	</>
</style>

<style name="CHAPTER">
	<break-before>	Line	</>
</style>

<style name="CHAPTER,TITLE">
	<font-family>	new century schoolbook	</>
        <foreground>    blue3   </>
	<font-weight>	Demibold	</>
	<font-size>	24	</>
	<line-spacing>	26	</>
	<break-before>	Line	</>
</style>

<style name="COLSPEC">
	<break-before>	Line	</>
</style>

<style name="DISPLAY">
	<break-before>	Line	</>
</style>

<style name="DISPLAY,TITLE">
	<space-before>	28	</>
	<justification>	Center	</>
	<break-before>	Line	</>
</style>

<style name="DIVISION">
	<break-before>	Line	</>
</style>

<style name="DIVISION,DIVISION,TITLE">
        <font-family>   new century schoolbook  </>
        <foreground>    blue3   </>
	<font-slant>	Italics	</>
	<font-size>	14	</>
	<space-before>	28	</>
	<break-before>	Line	</>
</style>

<style name="DIVISION,TITLE">
        <font-family>   new century schoolbook  </>
        <foreground>    blue3   </>
	<font-weight>	Bold	</>
	<font-slant>	Italics	</>
	<font-size>	14	</>
	<space-before>	28	</>
	<break-before>	Line	</>
</style>

<style name="EMPHASIS">
	<select>	EMPHASIS_attr(qualify)	</>
</style>

<style name="EMPHASIS_BOLD">
	<font-weight>	Bold	</>
</style>

<style name="EMPHASIS_BOLD UNDERLINE">
	<font-weight>	Bold	</>
	<score>	Under	</>
</style>

<style name="EMPHASIS_COURIER">
	<font-family>	courier	</>
	<font-size>	-=1	</>
</style>

<style name="EMPHASIS_COURIER BOLD">
	<font-family>	courier	</>
	<font-weight>	Bold	</>
	<font-size>	-=1	</>
</style>

<style name="EMPHASIS_COURIER ITALIC">
	<font-family>	courier	</>
	<font-slant>	Italics	</>
	<font-size>	-=1	</>
</style>

<style name="EMPHASIS_ITALIC">
	<font-slant>	Italics	</>
</style>

<style name="EMPHASIS_UNDERLINE">
	<score>	Under	</>
</style>

<style name="ENTRY,P">
	<left-indent>	tableinfo(cals,left-indent)	</>
	<width>	tableinfo(cals,width)	</>
	<column>	True	</>
</style>

<style name="FOOTNOTE">
	<break-before>	Line	</>
</style>

<style name="FOOTNOTE,P">
	<icon-position>	Right	</>
	<hide>	Children	</>
	<break-before>	True	</>
	<script>	ebt-reveal stylesheet="footnote" title="Footnote"	</>
	<icon-type>	footnote	</>
</style>

<style name="GRAPHIC">
	<icon-position>	Right	</>
	<script>	ebt-raster filename="join(attr(type),'.tif')"	</>
	<icon-type>	raster	</>
</style>

<style name="OSF-BOOK">
	<font-family>	lucida	</>
	<font-weight>	Medium	</>
	<font-size>	14	</>
	<right-indent>	12	</>
	<line-spacing>	16	</>
	<break-before>	Line	</>
</style>

<style name="OSF-BOOK,TITLE">
        <font-family>   new century schoolbook  </>
	<font-weight>	Bold	</>
	<font-size>	24	</>
	<line-spacing>	31	</>
	<break-before>	Line	</>
        <inline>        raster filename="../figures/cray_logo.gif"      </>
</style>

<style name="P">
	<space-before>	12	</>
	<break-before>	True	</>
</style>

<style name="ROW">
	<space-before>	6	</>
	<break-before>	Line	</>
</style>

<style name="SECTION">
	<break-before>	Line	</>
</style>

<style name="SECTION,TITLE">
        <font-family>   new century schoolbook  </>
	<font-weight>	Demibold	</>
	<font-size>	18	</>
	<line-spacing>	22	</>
	<space-before>	45	</>
	<break-before>	Line	</>
</style>

<style name="SUPERSCRIPT">
	<font-weight>	Bold	</>
</style>

<style name="TABLE">
	<left-indent>	12	</>
	<space-before>	12	</>
	<break-before>	Line	</>
</style>

<style name="TABLE,CAPTION">
	<justification>	Center	</>
	<break-before>	Line	</>
</style>

<style name="XREF">
	<select>	XREF_attr(qualify)	</>
</style>

<style name="XREF_COPYRIGHT">
	<font-weight>	Bold	</>
	<score>	Under	</>
	<icon-position>	Inline	</>
	<break-before>	True	</>
	<icon-type>	copyrt	</>
</style>

<style name="XREF_FOOTNOTES">
	<font-weight>	Bold	</>
	<score>	Under	</>
	<icon-position>	Inline	</>
	<break-before>	None	</>
	<icon-type>	footnote	</>
</style>

<style name="XREF_FRONT">
	<font-weight>	Bold	</>
	<score>	Under	</>
	<icon-position>	Inline	</>
	<break-before>	True	</>
	<icon-type>	default	</>
</style>

<style name="XREF_RASTER">
	<font-weight>	Bold	</>
	<score>	Under	</>
	<icon-position>	Inline	</>
	<break-before>	True	</>
	<icon-type>	crayfig	</>
</style>

<style name="XREF_TABLE">
	<font-weight>	Bold	</>
	<score>	Under	</>
	<icon-position>	Inline	</>
	<break-before>	None	</>
	<icon-type>	table	</>
</style>


<style name="LIST">
	<break-before>	Line    </>
	<break-after>	Line    </>
</style>

<style name="LIST,ITEM,LIST,ITEM,P">
        <font-weight>   Medium  </>
        <left-indent>   +=35    </>
        <break-before>  if(isfirst(), None, Line)       </>
</style>

<style name="LIST,ITEM,P">
        <font-weight>   Medium  </>
        <left-indent>   +=15    </>
        <break-before>  if(isfirst(), None, Line)       </>
</style>

<style name="LIST,L-ITEM,ITEM">
        <left-indent>   +=100   </>
</style>

<style name="ITEM">
        <font-weight>   Bold    </>
        <space-before>  5       </>
        <space-after>   5       </>
        <break-before>  Line    </>
	<text-before> switch(attr(type,ancestor(LIST)), 'ordered', cnum(). , 'DEFAULT','')</>
</style>

<style name="ITEM,DISPLAY">
        <font-weight>   Medium  </>
        <break-before>  Line    </>
</style>

<style name="ITEM,LIST">
        <font-weight>   Medium  </>
        <break-before>  Line    </>
        <break-after>   Line    </>
</style>

<style name="ITEM,LIST,ITEM">
        <font-weight>   Bold    </>
        <first-indent>  +=15    </>
        <space-before>  5       </>
        <space-after>   5       </>
        <break-before>  Line    </>
        <text-before> switch(attr(type,ancestor(LIST)), 'ordered', format(cnum(),letter). , 'DEFAULT','-')</>
</style>

<style name="ITEM,NOTE">
        <font-weight>   Medium  </>
        <break-before>  Line    </>
        <break-after>   Line    </>
</style>

<style name="ITEM,TABLE">
        <font-weight>   Medium  </>
        <left-indent>   12      </>
        <space-before>  12      </>
        <break-before>  Line    </>
</style>

<style name="L-ITEM">
        <break-before>  Line    </>
</style>

<style name="L-ITEM,ITEM,P">
        <break-after>   Line    </>
</style>

<style name="LABEL">
        <space-before>  7       </>
</style>

</sheet>
